GET /v1/net-worth/series
Net worth at the end of each month
Auth. Send the token in the X-Ledger-Token header.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
since | query | string (date) | optional | |
until | query | string (date) | optional | |
account_id | query | string | optional | Only this account's balances. Omit for the whole net worth. |
Responses
| Status | Meaning | Body |
|---|---|---|
200 | One point per month end, plus the until date | object[] |
400 | Request rejected | Error |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
[
{
"date": "2026-10-11",
"assets_cents": 0,
"liabilities_cents": 0,
"net_worth_cents": 0
}
]
Code samples
Set KEY to your own token first.
curl
curl \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/net-worth/series"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/net-worth/series", {
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/net-worth/series",
method="GET",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))